Gecode::Search::Stop Class Referenceabstract
Functionality by programming task » Programming models » Search engines » Stop-objects for stopping search

Base-class for Stop-object. More...

`#include <search.hh>`

## Constructors and member functions

| Stop (void)
| Default constructor.
virtual bool | stop (const Statistics &s, const Options &o)=0
| Stop search, if returns true.
virtual | ~Stop (void)
| Destructor.

## Predefined stop objects

static Stop * | node (unsigned long int l)
| Stop if node limit l has been exceeded.
static Stop * | fail (unsigned long int l)
| Stop if failure limit l has been exceeded.
static Stop * | time (unsigned long int l)
| Stop if time limit l (in milliseconds) has been exceeded.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

Base-class for Stop-object.

Definition at line 799 of file search.hh.

## Constructor & Destructor Documentation

## Stop()

Gecode::Search::Stop::Stop | ( | void |  | ) |

inline

Default constructor.

Definition at line 41 of file stop.hpp.

## ~Stop()

Gecode::Search::Stop::~Stop | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 43 of file stop.hpp.

## Member Function Documentation

## stop()

virtual bool Gecode::Search::Stop::stop | ( | const Statistics & | s,
|  | const Options & | o )

pure virtual

Stop search, if returns true.

Implemented in FailTimeStop, Gecode::Driver::CombinedStop, Gecode::Search::FailStop, Gecode::Search::NodeStop, Gecode::Search::Par::PortfolioStop, Gecode::Search::Seq::PortfolioStop, Gecode::Search::Seq::RestartStop, and Gecode::Search::TimeStop.

## node()

Stop * Gecode::Search::Stop::node | ( | unsigned long int | l | ) |

static

Stop if node limit l has been exceeded.

Definition at line 43 of file stop.cpp.

## fail()

Stop * Gecode::Search::Stop::fail | ( | unsigned long int | l | ) |

static

Stop if failure limit l has been exceeded.

Definition at line 47 of file stop.cpp.

## time()

Stop * Gecode::Search::Stop::time | ( | unsigned long int | l | ) |

static

Stop if time limit l (in milliseconds) has been exceeded.

Definition at line 51 of file stop.cpp.

The documentation for this class was generated from the following files:

- gecode/search.hh
- gecode/search/stop.cpp
- gecode/search/stop.hpp